Subject: Re: Newbie grief

From: Rich Pixley <[email-masked]>
Date: Thu, 03 May 2012 12:16:10 -0700

On 5/3/12 12:09 , Nathan Gray wrote:
> On Thu, May 3, 2012 at 11:43 AM, Rich Pixley<[email-masked]>  wrote:
>> In hg, I don't have to think about how many other branches or repositories
>> there might be.  I don't have to track where the changes are.  And I don't
>> have to do anything to add another repository to the mix or to remove one.
>>   Trivial merges are trivial.  The view from any repository is identical, not
>> just symmetric.  The things I want to do are all simple commands.  Pull from
>> the cache, merge if necessary, do some work, push to the cache.  Repeat as
>> necessary since there will be numerous collisions and merges since I'm
>> working on multiple machines concurrently.  And eventually, push to central
>> server.
> Wow, this hg sounds great!  You should use that!
>
> All kidding aside, what you're talking about are design decisions
> based on preferred workflows.  The workflow you're describing may seem
> obvious and fantastic to you, but it sounds absurdly complicated to
> me.  You hate the way git handles remote branches.  I think it's
> incredibly sensible for a *truly* distributed VCS to enforce
> location-based namespacing.  Basically, we have differences of
> opinion.  Since your opinion seems to be that hg has done everything
> right and git has done everything wrong, why are you using git?
Corporate mandate.  Political decision made without discussion with the 
people who would be using it.

--rich